Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 

Determining the Version of EEM on an IOS® Device

The Embedded Event Manager (EEM) feature is constantly evolving.  EEM 1.0 was first introduced in 12.3(4)T, but did not offer much in the way of power.  Now, with EEM 3.x and 4.0 in recent versions of IOS, policies can interact with the CLI, send messages between devices, process complex show command output, intercept SNMP messages, manipulate files, and much more.

In order to know what features of EEM your device has, you must first know what version it supports.  If you are not running one of the main IOS version trains, this information may not be obvious.  In fact, it may not be that easy to determine the version of EEM.  Prior to EEM 2.4, there was no command to determine the version of EEM.  One has to be a bit clever.

As of EEM 2.4, a new command, show event manager version was introduced which shows the version of EEM as well as all of the associated Event Detectors.

Screen shot 2010-03-11 at 2.07.50 PM.png

If the device does not support the show event manager version command, you do not have EEM 2.4.  To find out if your device supports at least EEM 1.0, check for the presence of the show event manager ? command.  That is, if you run show event manager, then type a '?', you should see command syntax.  If so, then your device supports EEM 1.0 at the very least.

EEM 2.0 was only ported to the 12.2(26)S (and only existed in the 12.2S train).  As of 12.2(30)S and higher, those platforms support at least version 2.1.

In order to determine if your device supports EEM 2.1, you should check to make sure it supports the show event manager environment command.

2.1.png

If this command is supported, then the device supports EEM 2.1 at the very least.

The primary feature added to EEM 2.2 was Enhanced Object Tracking (EOT) support.  However, even for devices which would otherwise support EEM 2.2, they may not support EOT.  For example, Catalyst 6500s running 12.2(33)SXH code support EEM 2.3, but do not support EOT/EEM integration.  Catalyst 3K switches (e.g. 3560, 3750, etc.) as of 12.2(40)SE support EEM 2.4, but do not support EOT/EEM integration.  However, for other devices, verify that the event track command is supported when configuring an EEM applet.

2.2.png

If the track Event Detector is available, then you know for a fact that the device supports EEM 2.2 at the very least.

The primary user-facing feature of EEM 2.3 was the support for running interactive (e.g. clear counters, crypto key zeroize rsa, etc.).  Therefore, to determine if a device supports EEM 2.3, check to make sure the pattern keyword is supported for the CLI action in applet configuration mode.

2.3.png

These techniques work for all IOS and IOS-XE devices.

Version history
Revision #:
1 of 1
Last update:
‎03-11-2010 10:37 AM
Updated by:
 
Labels (1)
Everyone's tags (3)
Comments

Good info.  I'd like to see more in terms of platform-specific EEM support, but that is beyond the scope of this posting.  Thanks for your work.